apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  name: geocrop-web-ingress
  namespace: geocrop
  annotations:
    cert-manager.io/cluster-issuer: "letsencrypt-prod"
    nginx.ingress.kubernetes.io/proxy-body-size: "600m"
spec:
  ingressClassName: nginx
  tls:
  - hosts:
    - portfolio.techarvest.co.zw
    secretName: geocrop-web-api-tls
  rules:
  - host: portfolio.techarvest.co.zw
    http:
      paths:
      - path: /
        pathType: Prefix
        backend:
          service:
            name: geocrop-web
            port:
              number: 80
